<template>
    <div class="archive-home-container">
        <div class="left-column">
            <MonitorDevices />
            <StoreDevices />
            <FireProtectionSystem />
        </div>
        <div class="center-column">
            <StoreOverview />
            <WarningMessage />
        </div>
        <div class="right-column">
            <EnvironmentSystem />
            <SecurityStsten />
            <CompactShelving />
        </div>
    </div>
</template>

<script setup lang="ts" name="ArchiveHome">
import { usePermissionStore } from '@/store/permission';
import { recommendList, bootConfig } from '../../typing';
import { useMenuStore } from '@/store/menu';

import MonitorDevices from './MonitorDevices.vue';
import StoreDevices from './StoreDevices.vue';
import FireProtectionSystem from './FireProtectionSystem.vue';

import StoreOverview from './StoreOverview.vue';
import WarningMessage from './WarningMessage.vue';

import EnvironmentSystem from './EnvironmentSystem.vue';
import SecurityStsten from './SecurityStsten.vue';
import CompactShelving from './CompactShelving.vue';

const { jumpPage } = useMenuStore();

</script>

<style lang="less" scoped>
.archive-home-container {
    display: flex;

    .left-column {
        flex: 1;
        min-width: 350px;
    }

    .center-column {
        flex: 2;
        margin: 0 16px;
        min-width: 850px;
    }

    .right-column {
        flex: 1;
        min-width: 350px;
    }
}
</style>

<style lang="less">
.home-card {
    width: 100%;
    // min-height: 315px;
    background-color: white;
    box-shadow: 0px 2px 6px 0px #CCCCCC;
    border-radius: 4px;

    .card-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        height: 48px;
        border-bottom: 1px solid #ececec;
        padding: 0 14px;

        .title {
            padding: 0 8px;
            border-left: 2px solid #4277FF;
            font-size: 16px;
            font-family: PingFang SC-Bold, PingFang SC;
            font-weight: bold;
            color: #4F4F4F;
            line-height: 23px;
        }
        .extend {
            display: flex;
            align-items: center;
            &>div {
                text-align: center;
                min-width: 100px;
            }
        }
    }
}
</style>
